<bugID>1037408<Summary>implement the global getUserMedia indicator</Summary><Description>Created attachment 8454411
Global indicator mockup

With the addition of screensharing support in getUserMedia (bug 983504), we are concerned that the existing toolbar indicator (http://i.imgur.com/NHidncc.png) may not be visible enough, and we decided (in bug 1031424) to replace it with a global indicator always visible at the top of the screen.

This new global indicator should be a small floating window, on top of all other windows. It should be possible to drag it to the left or right of the screen, but it should stick to the top of the screen.

The attached mockup for this is a subset of attachment 8453837.</Description></bugID>